Unable to mount Android MTP device

Bug #1314556 reported by AndreK on 2014-04-30
498
This bug affects 103 people
Affects Status Importance Assigned to Milestone
gvfs (Ubuntu)
High
Unassigned

Bug Description

I have the same problem on 3 computers with 14.04:

So I tried,
 mtp-detect
Unable to open ~/.mtpz-data for reading, MTPZ disabled.libmtp version: 1.1.6

Listing raw device(s)
Device 0 (VID=04e8 and PID=6860) is a Samsung Galaxy models (MTP).
   Found 1 device(s):
   Samsung: Galaxy models (MTP) (04e8:6860) @ bus 1, dev 10
Attempting to connect device(s)
ignoring libusb_claim_interface() = -6PTP_ERROR_IO: failed to open session, trying again after resetting USB interface
LIBMTP libusb: Attempt to reset device
inep: usb_get_endpoint_status(): Resource temporarily unavailable
outep: usb_get_endpoint_status(): Device or resource busy
ignoring libusb_claim_interface() = -6LIBMTP PANIC: failed to open session on second attempt
Unable to open raw device 0
OK.

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: gvfs-backends 1.20.1-1ubuntu1
ProcVersionSignature: Ubuntu 3.13.0-24.46-generic 3.13.9
Uname: Linux 3.13.0-24-generic x86_64
NonfreeKernelModules: nvidia
ApportVersion: 2.14.1-0ubuntu3
Architecture: amd64
CurrentDesktop: Unity
Date: Wed Apr 30 11:18:12 2014
EcryptfsInUse: Yes
ExecutablePath: /usr/lib/gvfs/gvfs-mtp-volume-monitor
InstallationDate: Installed on 2013-02-12 (441 days ago)
InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Release amd64 (20121017.5)
ProcEnviron:
 XDG_RUNTIME_DIR=<set>
 SHELL=/bin/bash
 LANGUAGE=en_US
 PATH=(custom, user)
 LANG=en_US.UTF-8
SourcePackage: gvfs
UpgradeStatus: Upgraded to trusty on 2014-04-02 (27 days ago)

AndreK (andre-k) wrote :
Sebastien Bacher (seb128) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. The issue you are reporting is an upstream one and it would be nice if somebody having it could send the bug to the developers of the software by following the instructions at https://wiki.ubuntu.com/Bugs/Upstream/GNOME. If you have done so, please tell us the number of the upstream bug (or the link), so we can add a bugwatch that will inform us about its status. Thanks in advance.

Changed in gvfs (Ubuntu):
importance: Undecided → Low
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in gvfs (Ubuntu):
status: New → Confirmed

My HTC One running Android 4.2.2 would not mount under Ubuntu 14.04. I finally figured out that turning on USB debugging on the phone (under developer options in the settings menu) fixed the issue.

Changed in gvfs (Ubuntu):
assignee: nobody → Leandro Fantinel (leandrofantinel)
assignee: Leandro Fantinel (leandrofantinel) → nobody

This seriously affects android developers

Teo (teo1978) wrote :

How can this have importance low??

Btw, for me turning on USB debugging does NOT fix the issue.

Nicklas Börjesson (nicklasb) wrote :

I agree with previous commenters, this is a serious problem, it means that MTP support is broken on Ubuntu which makes it almost impossible to use for Android development for some of the most common phones and tablets on the market.
And it has been a problem for some time now. It is a high priority issue.

Sebastien Bacher (seb128) wrote :

What's the issue exactly? Is the device detected by the desktop when connected? Is your problem that the automount "lock" the device and you can't access it from a command line then?

Ernst Sjöstrand (ernstp) wrote :

None of my MTP Android phones are detected by the desktop at all, worked perfectly in 12.04.
Sony Xperia ZR for example.

Bob-El (boblanctot) wrote :

It's not only Android devices having a problem mounting MTP devices in Ubuntu 14.04. I have a Sansa View player that will not mount. The Icon comes up on the vertical side panel (whatever the heck it's called I can't remember) - the one with all the icons. If I try to open the device, it won't open.

I have installed "mtp-tools", "mtpfs" via the command line and, in Synaptic, "libmtpserver1", "libmtp-runtime", "libmtp9", "libmtp-common", "jmtpfs" and "pythonpymtp" were either already installed or installed by me.

I tried running the command "sudo mtpfs -o allow_other /media/SansaView" and the following was the result:
Unable to open ~/.mtpz-data for reading, MTPZ disabled.Listing raw device(s)
Device 0 (VID=0781 and PID=74b0) is a SanDisk Sansa View.
   Found 1 device(s):
   SanDisk: Sansa View (0781:74b0) @ bus 1, dev 8
Attempting to connect device
libusb_get_active_config_descriptor(1) failed: No data available
no active configuration, trying to set configuration
libusb_get_active_config_descriptor(2) failed: No data available
LIBMTP PANIC: Unable to initialize device
Unable to open raw device 0

And, for the record, my Galaxy S4 mounts just fine. Go figure. Should I submit a new bug regarding the SansaView since my phone's working okay?

Bob-El (boblanctot) wrote :

ADDENDUM:
I just plugged my SansaView back into the USB port on my computer while my phone was plugged in and, "Hello!", the thing mounted and I was able to access the folders. Ah, the mysteries of computers. If they weren't so damn frustrating, I'd be intrigued.

Bob-El (boblanctot) wrote :

ADDENDUM:
I just plugged my SansaView back into the USB port on my computer while my phone was plugged in and, "Hello!", the thing mounted and I was able to access the folders. Ah, the mysteries of computers. If they weren't so damn frustrating, I'd be intrigued.

Turns out the minute I unplug my phone, the SansaView gets disconnected also

Unable to open MTP device '[usb:001,023]'

Bitterjug (bitterjug) wrote :

This affects me too.

$ mtp-detect
Unable to open ~/.mtpz-data for reading, MTPZ disabled.libmtp version: 1.1.6

Listing raw device(s)
Device 0 (VID=04e8 and PID=6860) is a Samsung Galaxy models (MTP).
   Found 1 device(s):
   Samsung: Galaxy models (MTP) (04e8:6860) @ bus 1, dev 6
Attempting to connect device(s)
ignoring libusb_claim_interface() = -6PTP_ERROR_IO: failed to open session, trying again after resetting USB interface
LIBMTP libusb: Attempt to reset device
LIBMTP PANIC: failed to open session on second attempt
Unable to open raw device 0
OK.

Keng-Yu Lin (lexical) on 2014-09-04
Changed in gvfs (Ubuntu):
importance: Low → High
Keng-Yu Lin (lexical) wrote :

affects me too.

kengyu:~ $ mtp-detect
Unable to open ~/.mtpz-data for reading, MTPZ disabled.libmtp version: 1.1.6

Listing raw device(s)
Device 0 (VID=1bbb and PID=0168) is UNKNOWN.
Please report this VID/PID and the device model to the libmtp development team
   Found 1 device(s):
   1bbb:0168 @ bus 2, dev 18
Attempting to connect device(s)
ignoring libusb_claim_interface() = -6PTP_ERROR_IO: failed to open session, trying again after resetting USB interface
LIBMTP libusb: Attempt to reset device
outep: usb_get_endpoint_status(): Device or resource busy
LIBMTP PANIC: failed to open session on second attempt
Unable to open raw device 0
OK.

[ 2297.911059] usb 2-2: new high-speed USB device number 18 using xhci_hcd
[ 2297.928261] usb 2-2: New USB device found, idVendor=1bbb, idProduct=0168
[ 2297.928270] usb 2-2: New USB device strings: Mfr=2, Product=3, SerialNumber=4
[ 2297.928275] usb 2-2: Product: ALCATEL ONE TOUCH 6040D
[ 2297.928279] usb 2-2: Manufacturer: TCT
[ 2297.928283] usb 2-2: SerialNumber: 9LZSKFNBJRBISC45
[ 2307.175887] usb 2-2: usbfs: process 14304 (mtp-detect) did not claim interface 0 before use
[ 2307.343192] usb 2-2: reset high-speed USB device number 18 using xhci_hcd
[ 2307.359869] xhci_hcd 0000:00:14.0: xHCI xhci_drop_endpoint called with disabled ep ffff88001d94b7c0
[ 2307.359879] xhci_hcd 0000:00:14.0: xHCI xhci_drop_endpoint called with disabled ep ffff88001d94b780
[ 2307.359884] xhci_hcd 0000:00:14.0: xHCI xhci_drop_endpoint called with disabled ep ffff88001d94b800
[ 2307.360562] usb 2-2: usbfs: process 14304 (mtp-detect) did not claim interface 0 before use
[ 2307.527314] usb 2-2: reset high-speed USB device number 18 using xhci_hcd
[ 2307.544241] xhci_hcd 0000:00:14.0: xHCI xhci_drop_endpoint called with disabled ep ffff88001d94b7c0
[ 2307.544251] xhci_hcd 0000:00:14.0: xHCI xhci_drop_endpoint called with disabled ep ffff88001d94b780
[ 2307.544256] xhci_hcd 0000:00:14.0: xHCI xhci_drop_endpoint called with disabled ep ffff88001d94b800
[ 2307.545110] usb 2-2: usbfs: process 14304 (mtp-detect) did not claim interface 0 before use
[ 2307.545648] usb 2-2: usbfs: process 14297 (pool) did not claim interface 0 before use

I see that my Galaxy S4 mounts and I can see the file names on the phone and on the SD card but I can't access them. When I run mtp-detect with usb debugging set to ON I get the following output.

Looks to be similar output without usb debugging.

Giyomunice (giyomunice) wrote :

Hi, This bug also affects me on ubuntu 14.04, whether I am on USB debugging mode or not on my Xperia M2.
The phone detects the PC connection and tells me it is connected in MTP mode.
However nothing happens on the computer. When I try mtp-detect :
Unable to open ~/.mtpz-data for reading, MTPZ disabled.libmtp version: 1.1.6

Listing raw device(s)
   No raw devices found.

I don’t understand why it does not even see the device…

Giyomunice (giyomunice) wrote :

Sorry, another thing : the device is detected using command "lsusb" :
Bus 002 Device 023: ID 0fce:51aa Sony Ericsson Mobile Communications AB

Silviu C. (silviucc) wrote :

Same problem with a Sansa e260:
Bus 001 Device 007: ID 0781:7420 SanDisk Corp. Sansa E200 series (mtp)

I am unable to mount Nexus5 and Samsung Galaxy 2 on Ubuntu 14.04
I was able to do file operations without any issues in prior versions.

Following is the output that I got when tried for mtp-detect.
---------
xanthus@xanthus-Inspiron-6000:/etc$ mtp-detect
Unable to open ~/.mtpz-data for reading, MTPZ disabled.libmtp version: 1.1.6

Listing raw device(s)
   No raw devices found.
---------

All other usb devices, like 8gb usb stick, 1TB WD External HD is getting mounted and I can perform the normal file operations.

Not sure how long this problem is going to last.

Agent.Logic_ (scr1pt-k33p3r) wrote :

I have the same problem. But I am able to get it to mount after plugging the phone in, going to Settings -> Developer Options and turning off USB Debuggling and turning it back on again ("Hello IT, have you tried turning it off and on again?").

-----------------

agentlogic@Erebus:~$ mtp-detect
Unable to open ~/.mtpz-data for reading, MTPZ disabled.libmtp version: 1.1.6

Listing raw device(s)
Device 0 (VID=04e8 and PID=6860) is a Samsung Galaxy models (MTP).
   Found 1 device(s):
   Samsung: Galaxy models (MTP) (04e8:6860) @ bus 3, dev 4
Attempting to connect device(s)
PTP_ERROR_IO: failed to open session, trying again after resetting USB interface
LIBMTP libusb: Attempt to reset device
LIBMTP PANIC: failed to open session on second attempt
Unable to open raw device 0
OK.

plasecki (peter-lasecki) wrote :

I have the same issue.
I use:
- Ubuntu 14.04.1 LTS
- Example device that does not work: Samsung Galaxy S2, Android 2.3.6

Environment: Device was connected to USB Hub and then to Ubuntu machine.

I observed that:
- Device icon is visible on Ubuntu desktop.
But when I click that then I cannot go inside. I can see only message:
Failed to mount Samsung Android
Unable to open MTP device
- Device is visible via adb
- Ubuntu restart and plugging in device (USB debugging on and screen saver off) does not help
- when I run mtpfs from command line I can see: Unable to open ~/.mtpz-data for reading

Will this issue be fixed soon?
Should upgrade to Ubuntu 14.10 help to fix that?

This is urgent issue for me as Ubuntu user and I hope it can be fixed soon

Regards
Piotr

Gromobir (gromobir) wrote :

This also affects Trisquel 7.

protagoras (protagoras) wrote :

Have you tried with jmtpfs? It works like a charm for me. E.g., from a terminal window:

mkdir ~/mtp
jmtpfs ~/mtp
ls ~/mtp
fusermount -u ~/mtp

https://github.com/kiorky/jmtpfs

protagoras (protagoras) wrote :

[Edit] Several models reported here (Samsung Galaxy [S2], Sansa [View, e260]) should work with libmtp (and hence with jmtpfs), as they are explicitly mentioned in the configuration file of the library;

https://sourceforge.net/p/libmtp/code/ci/HEAD/tree/src/music-players.h

snurfle (snurfle) wrote :

Ubuntu 14.04.1 LTS
Samsung Galaxy S4
'Unable to open MTP device'
Worked fine on Xubuntu 14.10

charles ramirez (bmxditch) wrote :

I also can't connect my LG G2 not recognized at all even with command [ ls /dev/sd* ] in terminal under usb 2.0 or 3.0 under MTP. If i use PTP i can only see [pictures] and [DCIM] folders and there content. I am trying to use ubuntu to fix my phone and unless this is fixed it isn't going to happen!!! this is a insanely important and needed solution I may even change OS to make sure this works i just came back to ubuntu after missing using it and am very disappointed...

Eric Rutherford (erutherford) wrote :

I've experienced this issue with a Galaxy S4 running 4.1 and now a Galaxy Note 4 running 4.4.4.

Martin Dederer (martindederer) wrote :

I experience the same issue with Ubuntu 14.04 LTS and a Wiko Bloom with Android 4.4.2. What kind of information do you need in order to debug this?

rogerw05465 (rogerw-nordlink) wrote :

I am also affected. Samsung S4, Ubuntu 14.04.

Odd pattern: I turn phone USB Debugging off, then on again --> the phone shows up for perhaps 10 seconds and I can run around the (limited) directories within Nautilus. Then I get the error ' "mtp:host=%5Busb%3A003%2C024%5D” could not be found. Perhaps it has recently been deleted.' However, I did nothing but wait, and during that time I kept the phone awake.

Gromobir (gromobir) wrote :

@protagoras: Unfortunately, jmtpfs also doesn't work for me. "jmtpfs ~/mtp" just gives me:

Device 0 (VID=04e8 and PID=6860) is a Samsung Galaxy models (MTP).
ignoring libusb_claim_interface() = -6PTP_ERROR_IO: failed to open session, trying again after resetting USB interface
LIBMTP libusb: Attempt to reset device
LIBMTP PANIC: failed to open session on second attempt
terminate called after throwing an instance of 'MtpErrorCantOpenDevice'
  what(): Can't open device
Unable to open ~/.mtpz-data for reading, MTPZ disabled.Aborted

Flavelle (flavelle.ballem) wrote :

Earlier this week - probably Monday (Jan-19-2014), I was able to mount my Samsung NotePro 12.2 and copy my music to it. Friday (Jan-23-2014), I am not able to. I think this was due to some upgrades.

I'm not sure what additional information you need, so please let me know and I will be happy to provide it.

Affects me as well: Ubuntu 14.04 and Galaxy S3. Toggling USB debugging off and back on again had no effect.

Paddy Landau (paddy-landau) wrote :

Ubuntu 14.04 64-bit: I find that the Nexus 5 connects intermittently, whereas the Samsung (two different models) won't connect at all.

dfszb (dnotob) wrote :

note: rebooting the computer (!) seems to help.

Hi all,
waht is the situation today ? i have this bug since i update my ubuntu to 14.04.
do This bug is resolved with the new update 15.04 ?

thanks a lot

Andres G. Aragoneses (knocte) wrote :

Also affected. In my case, a Samsung Galaxy S SCL GT-I9003

Ubuntu 14.04 ships libmtp 1.1.6. I wonder if a higher, or lower version of this lib, would fix these problems? (I said "lower" in my previous sentence, because many people claim here that it worked with Ubuntu 12.04.)

Apparently Ubuntu 12.04 included libmtp-1.1.3-1, and Ubuntu 15.04 includes latest libmtp, which is 1.1.8. Has anyone of you tried to run Ubuntu 15.04? Or downgrade your libmtp to 1.1.3 in your 14.04?

For the record, my mtp-detect log:

$ mtp-detect
Unable to open ~/.mtpz-data for reading, MTPZ disabled.libmtp version: 1.1.6

Listing raw device(s)
Device 0 (VID=04e8 and PID=6860) is a Samsung Galaxy models (MTP).
   Found 1 device(s):
   Samsung: Galaxy models (MTP) (04e8:6860) @ bus 1, dev 10
Attempting to connect device(s)
ignoring libusb_claim_interface() = -6PTP_ERROR_IO: failed to open session, trying again after resetting USB interface
LIBMTP libusb: Attempt to reset device

LIBMTP PANIC: failed to open session on second attempt
Unable to open raw device 0
OK.

Andres G. Aragoneses (knocte) wrote :

Interestingly enough, I removed all my mtp packages, and installed libmtp-code from the git's source (tried both 1.1.8 and 1.1.6) and it made suddenly mtp-detect to start working (in both versions).

So I'm wondering what to do next, to keep on pinpointing the problem.

Andres G. Aragoneses (knocte) wrote :

So I've found a workaround. In a terminal, do:

$ killall gvfs-gphoto2-volume-monitor
$ killall gvfs-mtp-volume-monitor

Then reconnect your device. Now mtp-detect works, and other players that use libmtp.

For me, the fix was to use a USB port on the back of my machine direclty on the mother board.

tutuca (tutuca) wrote :

Killing gvfs-gphoto2-volume-monitor and gvfs-mtp-volume-monitor as Andres pointed out worked for me too.

Kootee (kootee) wrote :

I'm now on Kubuntu 15.04, and the problem still exist. In my case turning on USB debug in advanced options helped... but it shouldn't be that way.

ubuntu 14.04 with samsung galaxy note 3

 mtp-detect
Unable to open ~/.mtpz-data for reading, MTPZ disabled.libmtp version: 1.1.6

Listing raw device(s)
Device 0 (VID=04e8 and PID=6860) is a Samsung Galaxy models (MTP).
   Found 1 device(s):
   Samsung: Galaxy models (MTP) (04e8:6860) @ bus 3, dev 84
Attempting to connect device(s)
PTP_ERROR_IO: failed to open session, trying again after resetting USB interface
LIBMTP libusb: Attempt to reset device
ignoring libusb_claim_interface() = -6LIBMTP PANIC: failed to open session on second attempt
Unable to open raw device 0
OK.

I wish samsung phones worked with ubuntu better. :(

I seem to have the same problem with MTP and a Nokia Lumia device wunning WP 8.1

Garry Cairns (garryjcairns) wrote :

Can I just check that all the people here reporting phone issues have unlocked the phones? For example, if you need to enter a passcode or draw a shape to use your phone, it also won't let a computer access it until you enter the same code to unlock the phone. That's a feature of the phone rather than a bug in Ubuntu (Ubuntu phones also do this). It will also drop the connection as soon as your phone shuts its screen off again after a period not being touched.

My Nexus 4 is unlocked when Ubuntu fails to mount Android MTP device.
Jim S.

     On Saturday, May 30, 2015 9:10 AM, Garry Cairns <email address hidden> wrote:

 Can I just check that all the people here reporting phone issues have
unlocked the phones? For example, if you need to enter a passcode or
draw a shape to use your phone, it also won't let a computer access it
until you enter the same code to unlock the phone. That's a feature of
the phone rather than a bug in Ubuntu (Ubuntu phones also do this). It
will also drop the connection as soon as your phone shuts its screen off
again after a period not being touched.

--
You received this bug notification because you are subscribed to the bug
report.
https://bugs.launchpad.net/bugs/1314556

Title:
  Unable to mount Android MTP device

Status in gvfs package in Ubuntu:
  Confirmed

Bug description:
  I have the same problem on 3 computers with 14.04:

  So I tried,
  mtp-detect
  Unable to open ~/.mtpz-data for reading, MTPZ disabled.libmtp version: 1.1.6

  Listing raw device(s)
  Device 0 (VID=04e8 and PID=6860) is a Samsung Galaxy models (MTP).
    Found 1 device(s):
    Samsung: Galaxy models (MTP) (04e8:6860) @ bus 1, dev 10
  Attempting to connect device(s)
  ignoring libusb_claim_interface() = -6PTP_ERROR_IO: failed to open session, trying again after resetting USB interface
  LIBMTP libusb: Attempt to reset device
  inep: usb_get_endpoint_status(): Resource temporarily unavailable
  outep: usb_get_endpoint_status(): Device or resource busy
  ignoring libusb_claim_interface() = -6LIBMTP PANIC: failed to open session on second attempt
  Unable to open raw device 0
  OK.

  ProblemType: Bug
  DistroRelease: Ubuntu 14.04
  Package: gvfs-backends 1.20.1-1ubuntu1
  ProcVersionSignature: Ubuntu 3.13.0-24.46-generic 3.13.9
  Uname: Linux 3.13.0-24-generic x86_64
  NonfreeKernelModules: nvidia
  ApportVersion: 2.14.1-0ubuntu3
  Architecture: amd64
  CurrentDesktop: Unity
  Date: Wed Apr 30 11:18:12 2014
  EcryptfsInUse: Yes
  ExecutablePath: /usr/lib/gvfs/gvfs-mtp-volume-monitor
  InstallationDate: Installed on 2013-02-12 (441 days ago)
  InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Release amd64 (20121017.5)
  ProcEnviron:
  XDG_RUNTIME_DIR=<set>
  SHELL=/bin/bash
  LANGUAGE=en_US
  PATH=(custom, user)
  LANG=en_US.UTF-8
  SourcePackage: gvfs
  UpgradeStatus: Upgraded to trusty on 2014-04-02 (27 days ago)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gvfs/+bug/1314556/+subscriptions

Bright Chuh (brightchuh) wrote :

steps:
1. adb root
2. Then, it will popup "unable to mount android: Unable to open MTP device '[usb:001,123]'"
3. if you unplug, then replug it's OK again.

sgon00 (sgon00) wrote :

If I plug the phone to ubuntu 14.04 i386 desktop PC, it will work.
If I plug the same phone to ubuntu 14.04 64bit laptop, it will NOT work.
Damn weird.

Katie Urey (ksurey) wrote :

Similar problem with a Samsung NT5110, in an unstable state. That is it starts up, partially, and displays the reboot..factory reset.. clear cache menu.

Samsung will do a "depot" rebuild for $160 US. Thus, my attempt to reinstall from a Linux/Ubuntu 14.04 system. I do not have a keyboard for the Samsung device.

The Samsung is found by lsusb, but mtp-detact fails.

mtp-detect
Unable to read MTPZ public exponent from ~/.mtpz-data, MTPZ disabledlibmtp version: 1.1.6

Listing raw device(s)
Device 0 (VID=04e8 and PID=6860) is a Samsung Galaxy models (MTP).
   Found 1 device(s):
   Samsung: Galaxy models (MTP) (04e8:6860) @ bus 1, dev 8
Attempting to connect device(s)

Eloy Paris (peloy-chapus) wrote :

I was having this problem with a Sansa Clip Zip. I changed USB mode (on the Sansa's settings) from MTP to MSC and now the Sansa is mounted just fine and shows up as a mass storage device.

lively (doratheexplorer) wrote :

Same issue with 15.04 LTS and libmtp 1.1.8

Anders Sjögren (anders-i) wrote :

+1 on the last comment.

Michael Fischer (mifireg) wrote :

+1 on the last comment.

Personally I think it's a shame for the Linux world, that such a show stopper is not fixed since 2 major releases! How should I convince anyone having a non Mass-Storage Smartphone to switch to Linux??? These errors occurred on plain installs from the DVD-Images.

I wonder if filing bug reports ever has a real sense as no developer or bug maintainer is at least posting anything to any issue I reported up to now.

It doesn't work on Kubuntu 15.04, PPA with KDE 4.14.8, kio-mtp 0.75+git20140304-1ubuntu, mtp-tools 1.1.8-1ubuntu2

Anton (benderamp) wrote :

I have a bit more info here. I have Ubuntu 14.04 (15.04 all the same) running on HP Envy m6 laptop + Android YotaPhone1 and have all listed problems with MTP/ADB here: the connection is unreliable (works 1 of 10 or does not work at all). None of the suggested solutions (using mtp tools or killing gvfs processes) helps.

Same phone connects just fine (MTP/ADB) on Windows 8 on same laptop and on some 2year-old OpenSUSE on another comp.

What I have noted is that lsusb hangs (even when the phone and other devices are disconnected) for a couple of minutes before showing the result (mtp-detect also hangs rather than shows error), so it gave me an idea that this might be a hardware problem and I have made some tests.

I take 2 laptops HP Envy m6 and Sony Vaio and 2 live CDs Ubuntu 14.04 (15.04 all the same results) and OpenSUSE 13.2 live with gnome.

1) HP Envy+Ubuntu 14.04 (15.04) - both live and installed:
- lsusb hangs (shows result after few minutes)
- MTP/ADB extremely unreliable

2) HP Envy+OpenSUSE 13.2 gnome live:
- lsusb shows immediately
- MTP works just fine (most likely ADB would work too, but it is not installed on live system)

3) Sony Vaio+Ubuntu 14.04 (15.04):
- lsusb shows immediately
- MTP works just fine

So, I have one laptop where Ubuntu 14.04 (15.04)+MTP/ADB does NOT work and OpenSUSE 13.2+MTP DOES work and another laptop where Ubuntu 14.04 (15.04)+MTP DOES work. The MTP/ADB software problem 100% correlates with problem with lsusb.

This is most likely (definitely) hardware+software combination problem. And this problem most likely not on GVFS/MTP layer, but on lower layer with lsusb/kernel.

I will run more tests and make more investigations on my hardware, if someone points me further what I should do.

Attach some system output from OpenSUSE 13.2 gnome live (MTP works):
uname -a
lsmod
after connecting the phone:
dmesg
lsusb
lsusb -t
lsusb -v
lsusb -D /dev/bus/usb/003/003

Anton (benderamp) wrote :

some output from Ubuntu 14.04 on Hp Envy m6 (MTP/ADB does not work):

uname -a
lsmod

may be useful to compare with OpenSUSE 13.2 output on same hardware (MTP works) from the comment above.

Anton (benderamp) wrote :

Ok, I have found a workaround solution, at least for my case - just downgrade the kernel to 3.16 (default version on 14.04 is 3.19). With this kernel lsusb returns result instantly and MTP/ADB work reliably, nautilus shows Android on connect/reconnect immediately, ADB shows device and does not hang etc.

Just click on linux-signed-image-generic-lts-utopic (linux 3.16.0.46.37) package in Synaptic (or sudo apt-get install linux-signed-image-generic-lts-utopic). It should go to grub menu automatically, but one may want to enable showing grub menu during boot like described here http://www.howtogeek.com/196655/how-to-configure-the-grub2-boot-loaders-settings/ . This should not affect installed system, with grub you will be able to choose which kernel to boot.

So, now I have on Ubuntu 14.04 with older kernel 3.16 MTP/ADB work
$ uname -a
Linux anton-hp 3.16.0-46-generic #62~14.04.1-Ubuntu SMP Tue Aug 11 16:27:16 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

On Ubuntu 14.04 with default kernel 3.19 MTP/ADB do NOT work
$ uname -a
Linux anton-hp 3.19.0-26-generic #28~14.04.1-Ubuntu SMP Wed Aug 12 14:09:17 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

OpenSUSE 13.2 live (reported to work in the above post) also has kernel 3.16, by the way.

Another option would be to try newer mainline kernels (did not check them yet):
https://wiki.ubuntu.com/Kernel/MainlineBuilds
http://kernel.ubuntu.com/~kernel-ppa/mainline/?C=N;O=D

Anton (benderamp) wrote :

Tested with mainline kernels

https://wiki.ubuntu.com/Kernel/MainlineBuilds
http://kernel.ubuntu.com/~kernel-ppa/mainline/

On the most recent kernel v4.2-rc8-unstable problem persists (lsusb hangs, MTP/ADB do NOT work)
http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.2-rc8-unstable/

On kernel v3.17.8-vivid no problem (lsusb is instant, MTP/ADB DO WORK)
http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.17.8-vivid/

On kernel v3.18-rc1-utopic the problem appers for the 1st time (lsusb hangs, MTP/ADB do NOT work)
http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.18-rc1-utopic/

to install, download deb and run
sudo dpkg -i linux-image-3.17.8-031708-generic_3.17.8-031708.201501081837_amd64.deb
the new kernel item will go to grub menu

So, the regression was added to the kernel during v3.17.8-vivid -> v3.18-rc1-utopi transition. Someone who is competent could try to make a diff or something.

Aslo, as a side note, it seems that on 3.16/3.17 kernels 2 other annoying problems from the default Ubuntu 14.04 installation with kernel 3.19 are gone:
- mouse cursor did disappear for some time almost after desktop load, then appeared with no visible reason
- keyboard switcher could stop working at some random moment for some time and randomly returned back to life

This may have the same source in hanging usb subsystem which may block mouse/keyboard calls in some way for some time and then return.

Anton (benderamp) wrote :

Even more funny, with kernel 3.17 Firefox stopped hanging the on the page I have linked above http://www.howtogeek.com/196655/how-to-configure-the-grub2-boot-loaders-settings/ (on kernels starting from 3.18-rc1 the whole application would hang after few seconds during loading this page).

This looks like offtopic, but probably would help to track the original problem. I would think of a hang/freeze problem in some kind of messaging subsystem inside the kernel, which would give unpredictable random hangs in visually different and absolutely non-connected parts of the system (firefox/keyboard switcher,MTP/ADB devices).

Fiksdal (plf715) wrote :

Hi guys

This is a pretty serious issue, how has there been several major releases recently without this basic functionality issue solved?

Has anyone even tried? This is basic functionality for a modern OS.

Roger James (rogerjames99) wrote :

Same problem on 15.04 with an HTC Desire 820. Unable to mount android phone message and then an empty nautilus browser window. Is this something to do with the transient usb mass storage device that phones with this chipset reports on the usb bus for a while after first connection. This is formatted as a windows file system and contains a windows installer for the phone.

Fiksdal (plf715) wrote :

There was just an official update from Canonical for my 14.04 LTE. MTP with my Android device now works flawlessly. It looks like they have downgraded the kernel. I ran "uname -r" and it seems the kernel is now "3.13.0-65-generic." I'm happy it works now.

Fiksdal (plf715) wrote :

Actually, as an experiment, I did a restore to a week old Clonezilla image, and MTP even worked on that one for me. But I don't recall MTP ever working for me on 14.04. Weird. Anyway, it works now, so who cares.

Also, I was wrong about the kernel thing, they haven't downgraded anything.

kokoye2007  (kokoye2007) wrote :

Change to USB 3.0 Port

work laptop and desktop.

(Desktop usb 3.0 is back of system box, laptop 3.0 is blue or ss <-

Fiksdal (plf715) wrote :

Damn, it stopped working again. Ubuntu 14.04. It worked for a little while, don't know why. Which USB port I use makes no difference.

Heisenberg (rhcp) wrote :

also affects me on 14.04 with an samsung galaxy tab 4 running cyanogenmod11 android 4.4.4

Silviu C. (silviucc) wrote :

What I can say is that it never worked for me on Trusty with the 3.13 kernels and continues to not work with the mainline 4.2.5 kernel.

Which USB port I plug it in does also not matter. Tried USB 3.0 ports on the back and two of the USB 2.0 ones. No dice. Same for the ones on the front of my machine.

Luckily this thing can change to a mass storage device, but it's still a weird and annoying issue.

Roger James (rogerjames99) wrote :

Just a quick comment. I know this was mentioned before (#46) but it would be a good idea if everyone checked this behaviour with phone in both locked and unlocked states _before_ it is plugged into the USB.

John Ritz (jjritzpub) wrote :
Download full text (30.7 KiB)

I tried plugging in to two different USB ports, then repeatedly into one. It finally took, so the problem is intermittent for me.

It turns out mtp-connect was hanging in a terminal window and I found a lot of what might be useful debugging info when I went back to it (after the successful mount):

mtp-detect
Unable to open ~/.mtpz-data for reading, MTPZ disabled.libmtp version: 1.1.6

Listing raw device(s)
Device 0 (VID=1004 and PID=62ce) is UNKNOWN.
Please report this VID/PID and the device model to the libmtp development team
   Found 1 device(s):
   1004:62ce @ bus 2, dev 10
Attempting to connect device(s)
ignoring libusb_claim_interface() = -6PTP_ERROR_IO: failed to open session, trying again after resetting USB interface
LIBMTP libusb: Attempt to reset device
Android device detected, assigning default bug flags
Error 7: Found a bad handle, trying to ignore it.
Error 7: Found a bad handle, trying to ignore it.
Error 7: Found a bad handle, trying to ignore it.
Error 7: Found a bad handle, trying to ignore it.
Error 7: Found a bad handle, trying to ignore it.
USB low-level info:
   bcdUSB: 512
   bDeviceClass: 0
   bDeviceSubClass: 0
   bDeviceProtocol: 0
   idVendor: 1004
   idProduct: 62ce
   IN endpoint maxpacket: 512 bytes
   OUT endpoint maxpacket: 512 bytes
   Raw device info:
      Bus location: 2
      Device number: 10
      Device entry info:
         Vendor: (null)
         Vendor id: 0x1004
         Product: (null)
         Vendor id: 0x62ce
         Device flags: 0x08008106
Configuration 0, interface 0, altsetting 0:
   Interface description contains the string "MTP"
   Device recognized as MTP, no further probing.
Device info:
   Manufacturer: LGE
   Model: VS990
   Device version: 1.0
   Serial number: VS9908c1542c8
   Vendor extension ID: 0x00000006
   Vendor extension description: microsoft.com: 1.0; android.com: 1.0;
   Detected object size: 64 bits
   Extensions:
        microsoft.com: 1.0
        android.com: 1.0
Supported operations:
   1001: get device info
   1002: Open session
   1003: Close session
   1004: Get storage IDs
   1005: Get storage info
   1006: Get number of objects
   1007: Get object handles
   1008: Get object info
   1009: Get object
   100a: Get thumbnail
   100b: Delete object
   100c: Send object info
   100d: Send object
   1014: Get device property description
   1015: Get device property value
   1016: Set device property value
   1017: Reset device property value
   101b: Get partial object
   9801: Get object properties supported
   9802: Get object property description
   9803: Get object property value
   9804: Set object property value
   9805: Get object property list
   9810: Get object references
   9811: Set object references
   95c1: Get Partial Object (64bit Offset)
   95c2: Send Partial Object
   95c3: Truncate Object
   95c4: Begin Edit Object
   95c5: End Edit Object
Events supported:
   0x4002
   0x4003
   0x4004
   0xd402: Friendly Device Name
   0x5003: Image Size
   0x5001: Battery Level
Playable File (Object) Types and Object Properties Supported:
   3000: Undefined Type
      dc01: Storage ID UINT32 data type ANY 32BIT VALUE form READ ONLY
      dc02: Object Format UINT16 ...

Tauras (tp-3norai) wrote :

I have the same problem with Nokia Lumia 1520. It stays hanged when choosing the phone. and the similar log output on mtp-detect.
But there is one thing i found out. When i removed cd card (64 GB) from the phone it started to work as expected. Maybe the problem is with sd card support?

hackel (hackel) wrote :

I also get this message all the time with my Nexus 5. Typically, I get the "Unable to mount Android MTP device" error message popping up on my screen when I plug in my phone, but *not* always. Since I plug/unplug my phone very often, I typically get 4-5 of these messages hidden behind windows that I have to clear throughout the day. I haven't been able to isolate the cause, but for example right at this moment, I am unable to reproduce it, even though I just had to clear away a stale error message.

I should also add that it works perfectly with ADB, which is what I normally use to transfer files, but I can also turn on MTP. Whenever the phone is plugged-in, it defaults to charging-only mode. I still do get an icon for it, but clicking on it just shows an empty mtp:// folder. I'm able to "mount"/unmount this device, but the folder stays empty—not sure that anything is really happening. If I turn on "Use USB for File transfers" on my device, then the "Internal Storage" icon appears inside the mtp:// folder and I can browse files normally.

I just want to isolate / eliminate all the useless error messages. Not sure if this should be split out into a separate bug, since a lot of people seem to be complaining about lack of MTP functionality entirely.

Roger Lipscombe (8-roger) wrote :

I'm having the same problem with both my 2012 Nexus 7 and my HTC One M8.

If I connect the device, I get the error message "Unable to mount Android Phone: Unable to open MTP device '[usb:005,120]'" for my HTC One M8. The message changes to "Unable to mount Nexus 7" when I plug the Nexus 7 in. The '[usb:005,120]' identifier also changes.

(All of the following was done with the HTC phone...)

But here's the interesting part: if I run "lsusb" with the error message on the screen, the device is detected one ID higher. Right now, "lsusb" is showing "Bus 005 Device 121: ID 0bb4:061a HTC (High Tech Computer Corp.)" for the phone. Using "ls -l /dev/bus/usb/X/Y" gives:

$ ls -l /dev/bus/usb/005/120
ls: cannot access /dev/bus/usb/005/120: No such file or directory
$ ls -l /dev/bus/usb/005/121
crw-rw----+ 1 root audio 189, 632 Jan 15 20:59 /dev/bus/usb/005/121

dmesg gives the following:

$ dmesg
[ 3202.628185] usb 5-2: new high-speed USB device number 122 using xhci_hcd
[ 3202.650762] usb 5-2: New USB device found, idVendor=0bb4, idProduct=061a
[ 3202.650769] usb 5-2: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[ 3202.650773] usb 5-2: Product: Android Phone
[ 3202.650777] usb 5-2: Manufacturer: HTC
[ 3202.653957] usb-storage 5-2:1.2: USB Mass Storage device detected
[ 3202.654251] scsi11 : usb-storage 5-2:1.2
[ 3202.796549] usb 5-2: USB disconnect, device number 122
[ 3203.576177] usb 5-2: new high-speed USB device number 123 using xhci_hcd
[ 3203.598656] usb 5-2: New USB device found, idVendor=0bb4, idProduct=061a
[ 3203.598663] usb 5-2: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[ 3203.598667] usb 5-2: Product: Android Phone
[ 3203.598670] usb 5-2: Manufacturer: HTC

(I've deleted the 'SerialNumber' lines; I don't know if they're sensitive or not)

Another time I tried to reproduce the dmesg output, I got:

[ 3271.638047] xhci_hcd 0000:08:00.0: xHCI xhci_drop_endpoint called with disabled ep ffff88056c19e040
[ 3271.638049] xhci_hcd 0000:08:00.0: xHCI xhci_drop_endpoint called with disabled ep ffff88056c19e000
[ 3271.638051] xhci_hcd 0000:08:00.0: xHCI xhci_drop_endpoint called with disabled ep ffff88057ad043c0
[ 3271.638052] xhci_hcd 0000:08:00.0: xHCI xhci_drop_endpoint called with disabled ep ffff88056c19e080
[ 3271.638053] xhci_hcd 0000:08:00.0: xHCI xhci_drop_endpoint called with disabled ep ffff88057ad041c0
[ 3271.638055] xhci_hcd 0000:08:00.0: xHCI xhci_drop_endpoint called with disabled ep ffff88057ad04380
[ 3271.638056] xhci_hcd 0000:08:00.0: xHCI xhci_drop_endpoint called with disabled ep ffff88057ad04180

I don't know if that's related. It doesn't always appear in dmesg.

I'm actually using Linux Mint, as follows:

$ uname -a
Linux roger-pc 3.13.0-39-generic #66-Ubuntu SMP Tue Oct 28 13:30:27 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux
$ lsb_release -a
No LSB modules are available.
Distributor ID: LinuxMint
Description: Linux Mint 17 Qiana
Release: 17
Codename: qiana
$ lsb_release -au
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 14.04 LTS
Release: 14.04
Codename: trusty

Ville Ranki (ville-ranki) wrote :

"Me too", with Ubuntu 15.10 and Jolla Sailfish (not Android!). Workaround in comment #40 works, though you need to run /usr/lib/gvfs/gvfs-mtp-volume-monitor to detect the phone.

Johannes Konow (itix) wrote :

I can confirm this on two computers. One with 15.10 and the other with 14.04 (LTS version). Thing is, gMTP is working fine out of the box on both computers so the issue is not the hardware.

I have had problems with MTP ever since android switched to MTP (various phones, various computers) but have worked around with SD cards up until now... new phone doesn't have SD card slot.

I feel this is a very important issue that needs solving ASAP if we want the regular user to feel comfortable using Ubuntu.

Johannes Konow (itix) wrote :

Sorry, was too quick. Should add that I have tried various workarounds with udev rules, the workaround in comment #40 etc, nothing seems to fix the connection out of the box. I need to rely on gMTP for transfer.

Mlt (mlt) wrote :

I have the same issue with a nexus 5, and with marshmallow there seems to be no other option than MTP.

What does the ubuntu phone use? I hope its not MTP because that would just be embarrassing...

Mlt (mlt) wrote :

It would be more productive to give some more details here.

I had this problem on 15.10 and now 16.04, and other subsystems are working okay as I am able to connect via ADB. When I try to connect I get the error message: "No Storages found. Maybe you need to unlock your device?" The device is unlocked.

The command $ mtp-detect | grep idVendor

Gives:

Device 0 (VID=18d1 and PID=4ee2) is a Google Inc (for LG Electronics/Samsung) Nexus 4/5/7/10 (MTP+ADB).
ignoring libusb_claim_interface() = -6PTP_ERROR_IO: failed to open session, trying again after resetting USB interface
LIBMTP libusb: Attempt to reset device
Error 1: Get Storage information failed.

  idVendor: 18d1

None of the suggested workarounds do.

Just tried it with 16.04 and my Ubuntu phone, and the problem is still there... indeed rather embarrassing that my Ubuntu computer can't talk to my Ubuntu phone. This bug is now two years old by the way.

Nordic Wolf (youri-3) wrote :

I can't connect my Android phone in 16.04, even worse my Auquaris E4.5 isn't able to connect either. Kinda painful that an Ubuntu phone can't connect to a computer running Ubuntu. ;P

Ruslan (b7-10110111) wrote :

For KDE users experiencing a similar issue, make sure that either Amarok isn't running or its MTP plugin is disabled.

Ruslan (b7-10110111) wrote :

In general, to begin finding what application takes your Android device, try the following command:

sudo lsof | grep /usb/

This should give you some pointers to processes using files in e.g. /dev/bus/usb/.

Martina (mar2504) wrote :

Having the same issue on Elementary os 0.4 Loki

Dan Coffey (tech-netharmonix) wrote :

MTP access is broken

Galaxy Note 7 (6.0.1) with 256GB card connected to Kubuntu 16.04 with kernel 4.7.2, same with S5 with 64GB card and S3
Phones are set to developer mode
USB set to File Transfer
Amarok is not installed.
Dolphin will connect, but it's intermittent.
If a connection is made it will fail when accessing files or transferring files.
I've tried Konqueror and Krusader same intermittent behavior.
No reliable access on Kubuntu/Ubuntu

VirtualBox on Kubuntu 16.04 running Windows 7 does supply reliable access

Why is this such a problem on Ubuntu, it's been years and no fix
What do it take to fix this, I think there are enough developers out there that a focused effort could be launched to resolve this problem.

mtp-detect | grep idVendor
Device 0 (VID=04e8 and PID=6860) is a Samsung Galaxy models (MTP).
LIBMTP ERROR: couldnt parse extension samsung.com/devicestatus:4
Error 1: Get Storage information failed.
It's embarrassing that I have to use Windows to access a Linux based phone.

David Burrows (snadge) wrote :

I was ripping my hair out with this one. All the suggestions above not working for me. Phone is Samsung S5.

ID 04e8:6860 Samsung Electronics Co., Ltd Galaxy (MTP)

So I tried (from terminal) "killall nautilus", then restarted it (by clicking on file icon). "Samsung ANDROID" now shows up in nautilus. Click it, and a dialog comes up on my phone with the title "Allow access to device data" and message "An MTP connection will be established to access the data on the connected device." Press "Allow" on the phone, it then works as expected.

Under windows, there is no secondary step to allow MTP transfers on the phone, which makes using it in Ubuntu, non trivial and inconvenient.

I realise this doesn't actually solve the problem, but this bug has considerable heat, and it may be of use to others.

jbatista (jmnbatista) wrote :

I had a similar problem show up on Lubuntu 16.04 (i386). One thing that SEEMS to work (it actually made a Samsung phone reboot!) is

1) disable the "USB debugging" on the phone;
2) set the phone to Airplane mode (so it doesn't try to make a network connection).

In my case, running `dmesg` it seems that Network Manager was trying to set a network connection:
[ 1039.598665] cdc_acm 1-3:1.1: ttyACM0: USB ACM device

HTH.

Paul Kellner (kellnerp) wrote :

Same problem. Intermittent, but for the last few days doesn't work. I have attached the output of numerous cli commands to help troubleshooting. When I choose PTP mode instead of MTP mode Shotwell fires up and can receive photos and videos.

One thought is that USB cables are notorious for wearing out on Android mobile phones. I have had problems because the high charging currents and cheap cables don't work well together. When new the connectors fit up well but as time goes by they get looser and looser. Unfortunately cheap cables are what are commonly available.

Wiktor: Nizio (zap-4) wrote :

This has been happening to me since I upgraded to 17.04 developer preview. As soon as I run Ubuntu in VirtualBox (either 16.10 or 17.04 guest and 17.04 host) and redirect Android phone to it, the system goes wild. Files in /var/log on the host grow to occupy the whole space, all memory is also taken and the processor (at least one of the 8 threads) goes 100%.

The situation does not happen when the phone is in PTP.

SamTzu (sami-mattila) wrote :

I can confirm that killing gvfs-gphoto2-volume-monitor fixed the problem in Ubuntu 16 with all my Android devices.

Ruslan (#80) solution worked for me:

"For KDE users experiencing a similar issue, make sure that either Amarok isn't running or its MTP plugin is disabled."

I am not a KDE user, but I was running Amarok - listening to it while I tried to sort-out my 'phone.

It lives in my system-tray (whatever). Would never have guessed that it was the source of the problem

Thanks very, very much for taking the trouble to post.

Morvau (morvau) wrote :

Ruslan (#80) solution worked also for me:
- amarok MTP plugin disabled
- amarok restarted
- it is now working

As Stephen, I'm not KDE user (Xubuntu) but I use amarok always in systray ;)

It would be nice to fix amarok mtp plugin.

Many thanks for the workaround :-D

Jeff Lambert (jl-newtraxtech) wrote :

Comment #40 (the two killall commands) did it for me on 14.04.5 64-bits desktop with a Samsung Note 3. THANKS!

Albert Dean (jordanmike) wrote :

need help this is what im getting as im running ubuntu 14.04 "Unable to open ~/.mtpz-data for reading, MTPZ disabled.Listing raw device(s)
Device 0 (VID=04e8 and PID=6860) is a Samsung Galaxy models (MTP).
   Found 1 device(s):
   Samsung: Galaxy models (MTP) (04e8:6860) @ bus 1, dev 16
Attempting to connect device
ignoring libusb_claim_interface() = -6PTP_ERROR_IO: failed to open session, trying again after resetting USB interface
LIBMTP libusb: Attempt to reset device
ignoring libusb_claim_interface() = -6LIBMTP PANIC: failed to open session on second attempt
Unable to open raw device 0

can someone give me some advice that can put me in the right direction and im also not the greatest
while just learning linux and really likeing it.

i have the problem ubuntu system 18.4.

how to disable mtp device on ubuntu system .( Mobile device all Model)

how to disable

pls help

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers